html, body {
    height: 100%;
}

div.main_container, div.right_col, div.container {
    min-height: 1px;
    height: 100%;
/*     min-height: 100%; */
}

span.glyphicon {
    font-size: 13px;
}

span.glyphicon-list {
    font-size: 12px;
}

.page-number input {
    font-size: 12px;
}

input[type=checkbox].flat, input[type=checkbox].flat-green {
    display: none;
}

div.validation-error input, div.validation-error textarea, div.validation-error select {
    border: 1px solid #CE5454 !important;
    box-shadow: 0 0 4px -2px #CE5454 !important;
}

div.validation-error span.select2-selection {
    border-color: #CE5454 !important;
    box-shadow: 0 0 4px -2px #CE5454 !important;
}

div.validation-error label, span.validation-error {
    color: #CE5454;
}

.tooltip * {
    text-align: 'left' !important;
}

/* checkbox directive css */
checkbox button.btn {
    border-color: #1abb9c;
    padding: 0px 3px;
    margin: 0px;
}

checkbox button.btn:focus {
    border-color: #999999;
}

checkbox button .glyphicon {
    opacity: 0;
}

checkbox button.active .glyphicon {
    opacity: 1;
}

/* empty label for proper spacing */
div.form-group label.empty {
    width: 100%;
}

label.empty:after {
    content: '.';
    opacity: 0;
}


/* required mark with smaller font and space before content */
.required:before {
    font-size: 10px;
    content: '*';
    padding-right: 3px;
}

table .sorting, table .sorting_asc, table .sorting_desc {
    cursor: pointer;
}
button.flat-green, button.flat-green:hover {
    background-color: #1ABC9C !important;
    border-color: #1ABC9C !important;
    color: #FFF !important;
}

.nav.toggle {
    cursor: pointer;
}

.sidebar-footer a {
    cursor: pointer;
}

div.modal-lg {
    width: 80%;
}

div.modal-lg div.modal-content {
    padding: 20px 30px;
}

div.modal-lg div.modal-content > * {
    min-height: 400px;
}

div.modal-backdrop {
    height: 100%;
}

.cursor-pointer {
    cursor: pointer;
}